New LR and PS updates on Mac

New Here ,
Oct 29, 2020 Oct 29, 2020

Copy link to clipboard

Copied

Hi, I cannot updates the latest LR and OS because it says my Mac is incompatible. I have 10.14.5. It says i need Mojave to update. When I look at the updates in the App store it won't let me. I t says my Mac is uptodate!  Help?!

Thanks.

TOPICS
Creative Cloud

Views

29

Likes

translate

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
Most Valuable Participant ,
Oct 30, 2020 Oct 30, 2020

Copy link to clipboard

Copied

10.14 is mojave. Please share the exact, complete, message you get about "needing mojave to update", and the info from Help > About This Macintosh. Screen shots will be best.

Likes

translate

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines